> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List dashboards

> Lists the project's dashboards, the default first. GET /v1/dashboard/{dashboardId} returns the widgets.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/dashboard
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Customer Flow
  - name: Customer Flow Edge Case
  - name: Simulation
  - name: Simulation Persona
  - name: Simulation Environment
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Template
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Autoimprove
  - name: Agent Config
  - name: Knowledge Base
  - name: Config
  - name: Organization Project
  - name: Organization Project Member
  - name: Organization Project API Key
  - name: Organization Config
  - name: CLI Auth
  - name: Me
  - name: Project
  - name: Usage
  - name: Analytics
  - name: Dashboard
  - name: Benchmark
  - name: Health
  - name: Prospect Simulation
paths:
  /v1/dashboard:
    get:
      tags:
        - Dashboard
      summary: List dashboards
      description: >-
        Lists the project's dashboards, the default first. GET
        /v1/dashboard/{dashboardId} returns the widgets.
      operationId: getV1Dashboard
      responses:
        '200':
          description: The dashboards
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DashboardSummary'
                required:
                  - data
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Dashboard or widget not found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Roark from '@roarkanalytics/sdk';

            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });

            const dashboards = await client.dashboard.list();

            console.log(dashboards.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            dashboards = client.dashboard.list()
            print(dashboards.data)
components:
  schemas:
    DashboardSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        isDefault:
          type: boolean
        configManaged:
          type: boolean
          description: >-
            Managed by config as code (`kind: dashboard`). A managed dashboard
            is read-only here: edits return 409; change it in the config file.
        timeRange:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  const: LAST
                value:
                  type: integer
                  minimum: 1
                  maximum: 1000
                unit:
                  type: string
                  enum:
                    - DAYS
                    - WEEKS
                    - MONTHS
              required:
                - type
                - value
                - unit
            - type: object
              properties:
                type:
                  type: string
                  const: CALENDAR_ALIGNED
                period:
                  type: string
                  enum:
                    - TODAY
                    - YESTERDAY
                    - THIS_WEEK
                    - LAST_WEEK
                    - THIS_MONTH
                    - LAST_MONTH
                    - THIS_YEAR
                    - LAST_YEAR
              required:
                - type
                - period
            - type: object
              properties:
                type:
                  type: string
                  const: FIXED
                from:
                  type: string
                  format: date-time
                to:
                  type: string
                  format: date-time
              required:
                - type
                - from
                - to
            - type: object
              properties:
                type:
                  type: string
                  const: SINCE
                from:
                  type: string
                  format: date-time
              required:
                - type
                - from
            - type: 'null'
          description: >-
            The window: LAST n DAYS/WEEKS/MONTHS up to now, a CALENDAR_ALIGNED
            period (TODAY, YESTERDAY, THIS_WEEK, LAST_WEEK, THIS_MONTH,
            LAST_MONTH, THIS_YEAR, LAST_YEAR), FIXED from/to, or SINCE a date.
            At most 731 days (two years).
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - name
        - description
        - isDefault
        - configManaged
        - timeRange
        - createdAt
        - updatedAt
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.